// Archivo: Elecciones.Core/DTOs/VotosOtrosDto.cs
using System.Text.Json.Serialization;

namespace Elecciones.Core.DTOs;

public class VotosOtrosDto
{
    [JsonPropertyName("votosNulos")]
    public long VotosNulos { get; set; }
    
    [JsonPropertyName("votosNulosPorcentaje")]
    public decimal VotosNulosPorcentaje { get; set; }

    [JsonPropertyName("votosEnBlanco")]
    public long VotosEnBlanco { get; set; }
    
    [JsonPropertyName("votosEnBlancoPorcentaje")]
    public decimal VotosEnBlancoPorcentaje { get; set; }

    [JsonPropertyName("votosRecurridosComandoImpugnados")]
    public long VotosRecurridos { get; set; }
    
    [JsonPropertyName("votosRecurridosComandoImpugnadosPorcentaje")]
    public decimal VotosRecurridosPorcentaje { get; set; }
}